use anyhow::Result;
use clap::Parser;
use log::info;

/// Delete a message queue
#[derive(Debug, Parser)]
pub struct Unlink {
    /// Name of the queue
    #[clap(value_name = "QUEUE")]
    pub queue: String,
}

impl Unlink {
    pub fn run(&self) -> Result<()> {
        posixmq::remove_queue(&self.queue)?;

        info!("Removed message queue: {}", self.queue);

        Ok(())
    }
}
