use anyhow::Result;
use clap::Parser;
use std::{
    fs::File,
    io::{BufRead, BufReader},
};

/// Print a list of existing message queues
#[derive(Debug, Parser)]
pub struct List {}

impl List {
    pub fn run(&self) -> Result<()> {
        for line in BufReader::new(File::open("/proc/sysvipc/msg")?).lines() {
            for field in line?.split_whitespace().collect::<Vec<&str>>() {
                print!("{0: <10}", field);
            }

            println!();
        }

        Ok(())
    }
}
